---
wsId: 
title: Itez
altTitle: 
authors:
- danny
users: 1000
appId: com.itez
appCountry: 
released: 2020-03-26
updated: 2021-03-19
version: 0.8.2
stars: 
ratings: 
reviews: 
size: 
website: https://itez.com/
repository: 
issue: 
icon: com.itez.png
bugbounty: 
meta: stale
verdict: nowallet
date: 2022-03-14
signer: 
reviewArchive: 
twitter: Itezofficial
social:
- https://www.facebook.com/itezofficial
redirect_from: 

---

## App Description

This app allows users to buy Bitcoin using Visa, Mastercard and Maestro. The app asks the user to [provide their own bitcoin wallets](https://twitter.com/BitcoinWalletz/status/1459093498544623617).

## Verdict

It does not have a bitcoin wallet.
